Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`python`.`filepath`.`UnlistableError``

exception documentation

`class UnlistableError(OSError): (source)`

Constructor: `UnlistableError(originalException)`

View In Hierarchy

An exception which is used to distinguish between errors which mean 'this is not a directory you can list' and other, more catastrophic errors.

This error will try to look as much like the original error as possible, while still being catchable as an independent type.

Method | `__init__` | Create an UnlistableError exception.
Instance Variable | `originalException` | the actual original exception instance.

def __init__(self, originalException: `OSError`): (source)

Create an UnlistableError exception.

Parameters
originalException:`OSError` | an instance of OSError.

originalException = (source)

the actual original exception instance.